Subject: Help Osborne drive B acting strange!!!!

From: "Casey" <[email-masked]>
Date: Mon Jul 21 16:43:26 2003

Hello I have a Osborne 1b and when a boot up to CP/M everything on the A:
disks works .But when I try to
switch to the B: drive I get a R/W error. But If I format a disk on the B
drive or A drive it formats it then B drive works with the floppy I formated
and all other software disks work. But when I turn the osborne off and unplug
it. after about 20 min unpluged I get the same error with drive B: and I have
to the same thing.

Is there a any fix for this?

Thanks

Casey.